class SignUp extends Shadow {
    render() {
        VStack(() => {
            
            h2("$50 / Month Subscription")
                .color("var(--quillred)")

            p(" - Access to Parchment Online and Parchment Desktop")
            p(" - Ability to Create Networks")
            p(" - Up to 5GB Storage Space")

            button("Buy")
                .color("var(--quillred")
                .border("1px solid var(--quillred)")
                .marginLeft("auto")
                .fontSize(1.1, em)
                .onClick(async function() {
                    this.innerText = "Loading..."
                    const res = await fetch("/create-checkout-session", { method: "POST" });
                    const data = await res.json();
                    window.location = data.url;                        
                })
                .marginTop(2, em)
        })
        .x(50, vw).y(50, vh).center()
        .border("1px solid var(--red)")
        .padding(1, em)
    }
}

register(SignUp)